# -*- coding: UTF-8 -*-
#							  Airly
#					Based on http://map.airly.org
#							 1.0-r46
#
#	Copyright (C) 2021  Ampersand
#
#	This program is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program.  If not, see https://www.gnu.org/licenses/.
#
import os
from time import localtime, strftime, time
from Components.config import config
from Tools.Directories import fileExists

DBG_FILE = "/tmp/Airly/airly.log"

def clear_dbg():
	if fileExists(DBG_FILE):
		os.remove(DBG_FILE)

def print_dbg(nfo, data= ''):
	prefix = "[Airly]"
	tm = strftime("%Y-%m-%d %H:%M:%S", localtime(time()))
	val = config.plugins.airly.logs.value
	if val == "file":
		if fileExists(DBG_FILE):
			statinfo = os.stat(DBG_FILE)
			if statinfo.st_size >= 1000000:
				os.remove(DBG_FILE)
		try:
			txt = u"[%s] %s %s\n" % (tm, nfo, data)
			with open(DBG_FILE, "ab") as f:
				f.write(txt.encode("UTF-8"))
			f.close
		except Exception: 
			os.system('echo "[%s] %s %s" >> %s' % (tm, nfo, data, DBG_FILE))
	else:
		if fileExists(DBG_FILE):
			os.remove(DBG_FILE)
		if val == "dbg":
			print prefix, tm, nfo, data or ""
